Show / Hide Table of Contents

# Interface IGuildIntegration

Holds information for a guild integration feature.

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public interface IGuildIntegration

### Properties

| Improve this Doc View Source

#### Account

Gets integration account information.

##### Declaration

    IntegrationAccount Account { get; }

##### Property Value

Type | Description
--- | ---
IntegrationAccount |

| Improve this Doc View Source

#### ExpireBehavior

Gets the ID that this integration uses for "subscribers".

##### Declaration

    ulong ExpireBehavior { get; }

##### Property Value

Type | Description
--- | ---
System.UInt64 |

| Improve this Doc View Source

#### ExpireGracePeriod

Gets the grace period before expiring "subscribers".

##### Declaration

    ulong ExpireGracePeriod { get; }

##### Property Value

Type | Description
--- | ---
System.UInt64 |

| Improve this Doc View Source

#### Guild

##### Declaration

    IGuild Guild { get; }

##### Property Value

Type | Description
--- | ---
IGuild |

| Improve this Doc View Source

#### GuildId

##### Declaration

    ulong GuildId { get; }

##### Property Value

Type | Description
--- | ---
System.UInt64 |

| Improve this Doc View Source

#### Id

Gets the integration ID.

##### Declaration

    ulong Id { get; }

##### Property Value

Type | Description
--- | ---
System.UInt64 | An System.UInt64 representing the unique identifier value of this integration.

| Improve this Doc View Source

#### IsEnabled

Gets a value that indicates whether this integration is enabled or not.

##### Declaration

    bool IsEnabled { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean | `true` if this integration is enabled; otherwise `false`.

| Improve this Doc View Source

#### IsSyncing

Gets a value that indicates whether this integration is syncing or not.

##### Declaration

    bool IsSyncing { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean | `true` if this integration is syncing; otherwise `false`.

##### Remarks

An integration with syncing enabled will update its "subscribers" on an interval, while one with syncing disabled will not. A user must manually choose when sync the integration if syncing is disabled.

| Improve this Doc View Source

#### Name

Gets the integration name.

##### Declaration

    string Name { get; }

##### Property Value

Type | Description
--- | ---
System.String | A string containing the name of this integration.

| Improve this Doc View Source

#### RoleId

##### Declaration

    ulong RoleId { get; }

##### Property Value

Type | Description
--- | ---
System.UInt64 |

| Improve this Doc View Source

#### SyncedAt

Gets when this integration was last synced.

##### Declaration

    DateTimeOffset SyncedAt { get; }

##### Property Value

Type | Description
--- | ---
System.DateTimeOffset | A System.DateTimeOffset containing a date and time of day when the integration was last synced.

| Improve this Doc View Source

#### Type

Gets the integration type (Twitch, YouTube, etc).

##### Declaration

    string Type { get; }

##### Property Value

Type | Description
--- | ---
System.String | A string containing the name of the type of integration.

| Improve this Doc View Source

#### User

##### Declaration

    IUser User { get; }

##### Property Value

Type | Description
--- | ---
IUser |